aboutsummaryrefslogtreecommitdiff
path: root/home/dot_local/share/bin/executable_caffeine
diff options
context:
space:
mode:
Diffstat (limited to 'home/dot_local/share/bin/executable_caffeine')
-rw-r--r--home/dot_local/share/bin/executable_caffeine8
1 files changed, 8 insertions, 0 deletions
diff --git a/home/dot_local/share/bin/executable_caffeine b/home/dot_local/share/bin/executable_caffeine
new file mode 100644
index 0000000..9901426
--- /dev/null
+++ b/home/dot_local/share/bin/executable_caffeine
@@ -0,0 +1,8 @@
+#!/bin/sh
+xset s off -dpms
+reset() {
+ trap - EXIT
+ xset s default
+}
+trap reset INT
+sleep infinity